Critical: php54

2014-09-15T23:18:00
ID ALAS-2013-212
Type amazon
Reporter Amazon
Modified 2014-09-15T23:18:00

Description

Issue Overview:

A buffer overflow flaw was found in the way PHP parsed deeply nested XML documents. If a PHP application used the xml_parse_into_struct() function to parse untrusted XML content, an attacker able to supply specially-crafted XML could use this flaw to crash the application or, possibly, execute arbitrary code with the privileges of the user running the PHP interpreter. (CVE-2013-4113 __)

Affected Packages:

php54

Issue Correction:
Run yum update php54 to update your system.

New Packages:

i686:  
    php54-pspell-5.4.17-2.40.amzn1.i686  
    php54-snmp-5.4.17-2.40.amzn1.i686  
    php54-bcmath-5.4.17-2.40.amzn1.i686  
    php54-ldap-5.4.17-2.40.amzn1.i686  
    php54-xml-5.4.17-2.40.amzn1.i686  
    php54-mysql-5.4.17-2.40.amzn1.i686  
    php54-xmlrpc-5.4.17-2.40.amzn1.i686  
    php54-imap-5.4.17-2.40.amzn1.i686  
    php54-soap-5.4.17-2.40.amzn1.i686  
    php54-mcrypt-5.4.17-2.40.amzn1.i686  
    php54-tidy-5.4.17-2.40.amzn1.i686  
    php54-cli-5.4.17-2.40.amzn1.i686  
    php54-dba-5.4.17-2.40.amzn1.i686  
    php54-mysqlnd-5.4.17-2.40.amzn1.i686  
    php54-devel-5.4.17-2.40.amzn1.i686  
    php54-pdo-5.4.17-2.40.amzn1.i686  
    php54-process-5.4.17-2.40.amzn1.i686  
    php54-5.4.17-2.40.amzn1.i686  
    php54-gd-5.4.17-2.40.amzn1.i686  
    php54-embedded-5.4.17-2.40.amzn1.i686  
    php54-mbstring-5.4.17-2.40.amzn1.i686  
    php54-pgsql-5.4.17-2.40.amzn1.i686  
    php54-mssql-5.4.17-2.40.amzn1.i686  
    php54-enchant-5.4.17-2.40.amzn1.i686  
    php54-fpm-5.4.17-2.40.amzn1.i686  
    php54-intl-5.4.17-2.40.amzn1.i686  
    php54-debuginfo-5.4.17-2.40.amzn1.i686  
    php54-recode-5.4.17-2.40.amzn1.i686  
    php54-odbc-5.4.17-2.40.amzn1.i686  
    php54-common-5.4.17-2.40.amzn1.i686

src:  
    php54-5.4.17-2.40.amzn1.src

x86_64:  
    php54-bcmath-5.4.17-2.40.amzn1.x86_64  
    php54-pspell-5.4.17-2.40.amzn1.x86_64  
    php54-recode-5.4.17-2.40.amzn1.x86_64  
    php54-common-5.4.17-2.40.amzn1.x86_64  
    php54-fpm-5.4.17-2.40.amzn1.x86_64  
    php54-odbc-5.4.17-2.40.amzn1.x86_64  
    php54-xmlrpc-5.4.17-2.40.amzn1.x86_64  
    php54-dba-5.4.17-2.40.amzn1.x86_64  
    php54-xml-5.4.17-2.40.amzn1.x86_64  
    php54-mbstring-5.4.17-2.40.amzn1.x86_64  
    php54-debuginfo-5.4.17-2.40.amzn1.x86_64  
    php54-tidy-5.4.17-2.40.amzn1.x86_64  
    php54-devel-5.4.17-2.40.amzn1.x86_64  
    php54-5.4.17-2.40.amzn1.x86_64  
    php54-soap-5.4.17-2.40.amzn1.x86_64  
    php54-pgsql-5.4.17-2.40.amzn1.x86_64  
    php54-pdo-5.4.17-2.40.amzn1.x86_64  
    php54-snmp-5.4.17-2.40.amzn1.x86_64  
    php54-mysqlnd-5.4.17-2.40.amzn1.x86_64  
    php54-embedded-5.4.17-2.40.amzn1.x86_64  
    php54-mysql-5.4.17-2.40.amzn1.x86_64  
    php54-gd-5.4.17-2.40.amzn1.x86_64  
    php54-process-5.4.17-2.40.amzn1.x86_64  
    php54-imap-5.4.17-2.40.amzn1.x86_64  
    php54-cli-5.4.17-2.40.amzn1.x86_64  
    php54-enchant-5.4.17-2.40.amzn1.x86_64  
    php54-mssql-5.4.17-2.40.amzn1.x86_64  
    php54-intl-5.4.17-2.40.amzn1.x86_64  
    php54-mcrypt-5.4.17-2.40.amzn1.x86_64  
    php54-ldap-5.4.17-2.40.amzn1.x86_64